<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

trait ReductionCartPropertyTrait
{

        /**
         * @ORM\Column(type="boolean", nullable=true)
         */
        protected $freeShipping;

        /**
         * @ORM\Column(type="string", length=25)
         */
        protected $appliedTo;

        /**
         * @ORM\Column(type="string", length=25)
         */
        protected $type;


        public function getFreeShipping(): ?bool
        {
                return $this->freeShipping;
        }

        public function setFreeShipping(?bool $freeShipping): self
        {
                $this->freeShipping = $freeShipping;

                return $this;
        }

        public function getAppliedTo(): ?string
        {
                return $this->appliedTo;
        }

        public function setAppliedTo(string $appliedTo): self
        {
                $this->appliedTo = $appliedTo;

                return $this;
        }

        public function getType(): ?string
        {
                return $this->type;
        }

        public function setType(string $type): self
        {
                $this->type = $type;

                return $this;
        }


}
